# Gimp.ColorManaged.get_color_profile

    @accepts(Gimp.ColorManaged)
    @returns(Gimp.ColorProfile)
    def get_color_profile(self):
        # Python wrapper for gimp_color_managed_get_color_profile()

This function always returns a Gimp.ColorProfile and falls back to Gimp.ColorProfile.new_rgb_srgb if the method is not implemented.

Since 2.10

self

  an object the implements the Gimp.ColorManaged interface

Returns